%define upstream_name	 HTML-TableExtract
%define upstream_version 2.13

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1
Summary:	%{upstream_name} module for perl

License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	perl(HTML::Parser)
BuildRequires:	perl(HTML::ElementTable)
BuildRequires:	perl(ExtUtils::MakeMaker) >= 7.40.0

BuildArch:	noarch

%description
HTML::TableExtract is a module that simplifies the extraction
of information contained in tables within HTML documents.

Tables of note may be specified using Headers, Depth, Count,
or some combination of the three. See the module documentation
for details.

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files 
%doc Changes META.json META.yml LICENSE README 
%{perl_vendorlib}/HTML
%{_mandir}/*/*


%changelog

* Tue Jul 14 2015 abfonly <abfonly@gmail.com> 2.130.0-1
- (87be508) Log: Update to 2.130.0


